Module Module1

    Sub Main()
        Console.Title = "Házení kostkami"
        Console.WriteLine("Tato hra zjišťuje, kolikrát se vám při házení 2 kostkami")
        Console.WriteLine("podaří hodit vámi zadané šťastné číslo.")
        Console.WriteLine("Zvolte si šťastné číslo pro hod dvěma kostkami (2-12)")
        Console.WriteLine("a poté zadejte počet hodů.")
        Console.WriteLine()

        'Deklarace promenne pro ulozeni stastneho cisla
        Dim stastneCislo As Integer
        'Deklarace promenne pro ulozeni poctu hodu
        Dim pocetHodu As Integer
        'Deklarace promenne pro ulozeni poctu vyher a inicializace hodnotou 0
        Dim pocetVyher As Integer = 0
        'Deklarace pocitadla pro smycku For...Next
        Dim pocitadloCyklu As Integer
        'Deklarace promennych pro ulozeni cisel, ktera na kostkach padnou
        Dim cisloKostka1 As Integer
        Dim cisloKostka2 As Integer
        'Pouziti tridy Random pro generovani nahodnych hodu
        Dim generator As New Random

        Console.Write("Prosím zadejte šťastné číslo, které má padnout (2-12): ")
        'Nacteni stastneho cisla, zadaneho uzivatelem
        stastneCislo = Console.ReadLine
        Console.Write("Prosím zadejte počet hodů kostek: ")
        'Nacteni poctu hodu, zadaneho uzivatelem
        pocetHodu = Console.ReadLine

        'Tato smycka zajistuje, ze kostky budou hozeny po zadany pocet pokusu
        For pocitadloCyklu = 1 To pocetHodu
            'Hozeni prvni kostky a ulozeni vysledku
            cisloKostka1 = Int(generator.Next(1, 7))
            'Hozeni druhe kostky a ulozeni vysledku
            cisloKostka2 = Int(generator.Next(1, 7))
            'Kontrola souctu hozenych cisel proti stastnemu cislu a navyseni poctu vyher
            If cisloKostka1 + cisloKostka2 = stastneCislo Then
                pocetVyher = pocetVyher + 1
            End If
        Next pocitadloCyklu

        'Zobrazeni poctu hodu, stastneho cisla a poctu vyher
        Console.WriteLine()
        Console.Write("Z celkového počtu {0} hodů šťastné číslo {1} bylo hozeno {2}krát.",
                    pocetHodu, stastneCislo, pocetVyher)
        Console.WriteLine()
        Console.Write("To odpovídá pravděpodobnosti výhry {0}%", ((pocetVyher / pocetHodu) * 100))
        'Cekani do doby, nez uzivatel stiskne nejakou klavesu
        Console.ReadKey()
    End Sub

End Module
